add_subdirectory(protobuf)
add_subdirectory(wellknowntypes)
add_subdirectory(qttypes)

# TODO Qt6: QtProtobuf QML module is not not required to pass most of qml tests.
#           Looks like the whole module can be removed
#if(TARGET Qt::Quick)
#    add_subdirectory(protobufquick)
#endif()

if(TARGET Qt::Network)
    add_subdirectory(grpc)
    if(TARGET Qt::Quick)
        add_subdirectory(grpcquick)
    endif()
endif()
